### Method

# Shumate VectorSpriteSheet add_page

since: 1.1

#### Declaration [src]

    gboolean
    shumate_vector_sprite_sheet_add_page (
      ShumateVectorSpriteSheet* self,
      GdkTexture* texture,
      const char* json,
      double default_scale,
      GError** error
    )

#### Description [src]

Adds a page to the spritesheet.

See https://maplibre.org/maplibre-gl-js-docs/style-spec/sprite/ for details about the spritesheet format. Most stylesheets provide these files along with the main style JSON.

Map styles should provide a double resolution spritesheet for high DPI displays. That spritesheet should be added as its own page, with a `default_scale` of 2.

Available since: 1.1

#### Parameters

`texture`

  Type: `GdkTexture`

  A `GdkTexture`.

  The data is owned by the caller of the method.

`json`

  Type: `const char*`

  A JSON string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`default_scale`

  Type: `double`

  The default scale factor of the page.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the page was added successfully, `FALSE` otherwise.